Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.util.remote.io.server.impl
Class RemoteInputStreamSrvImpl

    java.lang.Object
      edu.emory.mathcs.util.remote.io.server.impl.RemoteInputStreamSrvImpl

All Implemented Interfaces:
  java.rmi.Remote, RemoteInputStreamSrv

public class RemoteInputStreamSrvImpl
extends java.lang.Object
implements RemoteInputStreamSrv

Server-side remote handle to an input stream.

Version:
  1.0
Author:
  Dawid Kurzyniec
See Also:
  `RemoteInputStream`

Constructor Summary
`RemoteInputStreamSrvImpl(java.io.InputStream in)`
`RemoteInputStreamSrvImpl(java.io.InputStream in, int maxblock)`

Method Summary
`int` | `available()`
`void` | `close()`
`byte[]` | `read(int maxbytes)`
`long` | `skip(long n)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteInputStreamSrvImpl

    public RemoteInputStreamSrvImpl(java.io.InputStream in)

### RemoteInputStreamSrvImpl

    public RemoteInputStreamSrvImpl(java.io.InputStream in,
                                    int maxblock)

Method Detail

### read

    public byte[] read(int maxbytes)
                throws java.io.IOException

  Specified by:
    `read` in interface `RemoteInputStreamSrv`
  Throws:
    `java.io.IOException`

### skip

    public long skip(long n)
              throws java.io.IOException

  Specified by:
    `skip` in interface `RemoteInputStreamSrv`
  Throws:
    `java.io.IOException`

### available

    public int available()
                  throws java.io.IOException

  Specified by:
    `available` in interface `RemoteInputStreamSrv`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `RemoteInputStreamSrv`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD